Description

Give me an error "WorkerException: Internal operation error"

But maybe this is not related to the rules engine itself

History

#1 - Apr 05, 2016 12:09 PM - Leonardo Candela

- Assignee set to Giancarlo Panichi

@anton.ellenbroek@fao.org could you please provide more details on the settings producing the error, e.g. the rule, the dataset. 

#2 - Apr 15, 2016 10:14 AM - Giancarlo Panichi

- Status changed from New to Feedback

- Assignee changed from Giancarlo Panichi to Anton Ellenbroek

#3 - Apr 15, 2016 03:18 PM - Leonardo Candela

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Because of the lack of further details I'm going to close the ticket. It is almost impossible to figure out what is going on without a bare minimum set of

details.   

#4 - Apr 15, 2016 04:29 PM - Anton Ellenbroek

- File picture498-1.png added

In FAO Tuna Atlas, on a file with 'skj', I tried a replace to 'SKJ'

I shared the rule with L.Candela, as Giancarlo is not a mamber here. 

If you wish, let me know where you want to rule to be shared. 

It also relates to the type of message (ERROR) and message text (!!!Internal ERROR) that is raised. These sound really alarming, whereas it is just a

user that does not know how to write a rule. 

#5 - Apr 15, 2016 04:42 PM - Leonardo Candela

Please, share the rule with @lucio.lelii@isti.cnr.it (I'm not allowed to do that).

Re error messages, I see it is not "user friendly".

#6 - Apr 15, 2016 04:59 PM - Leonardo Candela

For the sake of completeness, the rule is as follows 

 Equals(Soundex($[Text]),Soundex("skj"))

 Please, do take into account that rules do not modify the tabular resource / column ... they are just a filter applied on the values. 

However, this does not justify the error message.  

#7 - Apr 15, 2016 08:33 PM - Pasquale Pagano
I propose to

@lucio.lelii@isti.cnr.it to report the right rule to write to perform a replace;

@g.panichi@isti.cnr.it to open a feature ticket in gCube to improve the quality of the error messages. The error message is intended to give

information to an end-user. In this case, the error was due to an invalid rule that the service cannot apply to the type of values contained in the

column. So the service replies with an error message but the front-end has to digest this error message and report something useful to the user

without alerting him/her.

#11 - Apr 18, 2016 10:36 AM - Lucio Lelii

To perform a replace applying a rule is not the correct operation, rules performs only validation on columns. The right operation is the "replace by

expression" operation on the column.
